﻿@{
    ViewBag.NomePagina = "Importa Dados";
}

@Html.Partial("~/Views/Paginas/ImportaCestaProduto/Partials/_IndexStyle.cshtml")

<div class="titulo-pagina">
    <span>
        TGV Vendas  &nbsp;
        <i class="fa fa-arrow-right"></i>
        &nbsp; Parametrôs &nbsp;
        <i class="fa fa-arrow-right"></i>
        &nbsp; Cesta Produto &nbsp;
        <i class="fa fa-arrow-right"></i>
        &nbsp; Importar Dados &nbsp;
    </span>
</div>

<div id="divPesquisa">
    <div class="campos-holder">
        <i class="material-icons">search</i>
        <i class="material-icons icon-clear">close</i>
        @Html.Partial("~/Views/Partials/Select2ClientesCodigosIndex.cshtml", new Select2ClientesViewModel() { idControleSelect2 = "selCliIdx", idControleInput = "txtCliInx", viewCode = true, tipoPesquisa = true })
        <i class="material-icons">more_vert</i>
        @Html.Partial("~/Views/Partials/Select2ServicosCestaCodigos.cshtml", new Select2ServicosCestaViewModel() { idControleSelect2 = "selCes", idControleInput = "txtCes", tipoPesquisa = true, ativo = false })
        <i class="material-icons">more_vert</i>
        <div class="input-daterange">
            <div class="input-daterange input-mesano-daterangedmy" style="display:flex;">
                <i class="material-icons icon-clear" style="margin-top: 7px;">close</i>
                <input id="txtDatFil" name="txtDatFil" data-required="1" type="text" class="mdl-textfield__input datedmy filtro" placeholder="Selecione uma Data" style="border-bottom:0; text-align:left; color:#6c757d;padding-left:5px;">
            </div>
        </div>
        <i class="material-icons">more_vert</i>
        <button class="btn btn-success" id="btnPesquisarTela">
            Pesquisar
        </button>
    </div>
    <div id="grdImportaCestaProdutoContainer"></div>
</div>

<!-- Cadastro -->
<div id="divCadastro" style="display: none;">
    <form action="#" id="frmCadastro" novalidate="novalidate">
        <div class="tgv-cabecalho-container">
            <div class="col-md-6 titulo-tela">
                <strong class="strong-cabecalho-tgv">Importa Cesta Produtos</strong>
            </div>
        </div>
        <div class="tgv-crud-container tgv-mat-closer">

            <div class="row paddingbottom">

                <div class="col-md-3">
                    <label for="input-text-1">
                        <strong class="strong-min-tgv">Ano/Mês:</strong>
                    </label>
                    <div class="input-daterange input-mesano-daterangedmy">
                        <input id="txtDatCad" name="txtDatCad" data-required="1" type="text" class="mdl-textfield__input datedmy limparTooltipChange" placeholder="Selecione uma Data">
                    </div>
                </div>

                <div class="col-md-3">
                    <div class="tgv-image-view">
                        <img id="img-view" src="" />
                    </div>
                    <div id="dv-upload" class="tgv-upload-container" style="margin-top: 13px;">
                        <div class="up-icon mdl-js-ripple-effect">
                            <i class="material-icons">file_upload</i>
                            <span class="mdl-ripple"></span>
                        </div>
                        <span class="file-info limparTooltipChange">
                            Carregar Excel |&nbsp;<b>xlsx</b>&nbsp;ou&nbsp;<b>xls</b>
                        </span>
                        <div class="rem-icon mdl-js-ripple-effect">
                            <i class="material-icons">close</i>
                            <span class="mdl-ripple"></span>
                        </div>
                        @*<input type="file" id="inp-file-aux" value="" accept=".xlsx,.xls" />*@
                        <input type="file" id="FileUpload" class="btn btn-success limparTooltipChange" style="visibility:visible;" name="FileUpload" accept="application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel" />
                    </div>
                </div>


                <div class="col-md-2" style="align-self: flex-end;">
                    <button id="btnImportarCestaProduto" type="button" class="btn btn-success">
                        <i class="fa fa-floppy-o">&nbsp;</i>
                        Importar
                    </button>
                  
                </div>

            </div>

            <fieldset id="selectSheetFieldset" style="display:none">
                <label for="selectSheet">Select a sheet</label>
                <select class="form-control" id="selectSheet" style="overflow-y:auto"></select>
            </fieldset>

        </div>

        <div class="tgv-crud-container tgv-mat-closer" id="divProblemaImportacao" style="display:none;">

            <div class="dataTables_modificado">
                <div id="grdProblemaImportacaoContainer"></div>
            </div>
        </div>

        <div class="row tgv-button-toolbar">
            <span>
                <button id="btnVoltarCestaProduto" type="button" class="btn btn-danger">
                    <i class="fa fa-arrow-left">&nbsp;</i>
                    Voltar
                </button>
            </span>
        </div>
    </form>
</div>

@Html.Partial("~/Views/Paginas/ImportaCestaProduto/Partials/_IndexScript.cshtml")
